Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231261 - gfortran gives "internal compiler error: Bus error"
Summary: gfortran gives "internal compiler error: Bus error"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 03:53 UTC by Dan Davis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.2-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 14:54:37 UTC


Attachments (Terms of Use)
Test case and generated output files. (deleted)
2007-03-07 03:53 UTC, Dan Davis
no flags Details

Description Dan Davis 2007-03-07 03:53:19 UTC
Description of problem:
When attempting to compile the file simparams.f95 (attached below) on an Opteron
system, the gfortran compiler gives the error "simparams.f95:0: internal
compiler error: Bus error"  The other 2 files compile correctly.

File compiles fine on an i386 system with Fedora Core 5.

Version-Release number of selected component (if applicable):
GNU Fortran 95 (GCC) 4.1.1 20070105 (Red Hat 4.1.1-51)

How reproducible:
Occurs every time I try to compile this file.  I have tried numerous edits to
the file and it continues to occur.

Steps to Reproduce:
1.  Download attached simparam.tar.gz and untar.
2.  Run make simparam.o

Actual results:
gfortran yields the error "simparams.f95:0: internal compiler error: Bus error"
and exits with partially complete module file

Expected results:
gfortran compiles the files and produces simparams.o and simparams.mod

Additional info:
I have included the output of the compiler in the attachment.

Comment 1 Dan Davis 2007-03-07 03:53:20 UTC
Created attachment 149425 [details]
Test case and generated output files.

Comment 2 Jakub Jelinek 2007-03-13 14:54:37 UTC
Should be fixed in gcc-4.1.2-4 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.